Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class CallTraceParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.CallTraceParams

    public class CallTraceParams

extends Object

Determines the parameters for the call-by-call trace.

Field Summary
`protected DBConnectionParams` | `database`
`protected Integer` | `numDigits`
`protected String` | `outputFileName`
`protected String` | `sheetName`
`protected String` | `tableName`

Constructor Summary
`CallTraceParams()`

Method Summary
`DBConnectionParams` | `getDatabase()` Gets the value of the database property.
`int` | `getNumDigits()` Gets the value of the numDigits property.
`String` | `getOutputFileName()` Gets the value of the outputFileName property.
`String` | `getSheetName()` Gets the value of the sheetName property.
`String` | `getTableName()` Gets the value of the tableName property.
`boolean` | `isSetDatabase()`
`boolean` | `isSetNumDigits()`
`boolean` | `isSetOutputFileName()`
`boolean` | `isSetSheetName()`
`boolean` | `isSetTableName()`
`void` | `setDatabase(DBConnectionParams value)` Sets the value of the database property.
`void` | `setNumDigits(int value)` Sets the value of the numDigits property.
`void` | `setOutputFileName(String value)` Sets the value of the outputFileName property.
`void` | `setSheetName(String value)` Sets the value of the sheetName property.
`void` | `setTableName(String value)` Sets the value of the tableName property.
`void` | `unsetNumDigits()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### database

    protected DBConnectionParams database

### numDigits

    protected Integer numDigits

### outputFileName

    protected String outputFileName

### sheetName

    protected String sheetName

### tableName

    protected String tableName

Constructor Detail

### CallTraceParams

    public CallTraceParams()

Method Detail

### getDatabase

    public DBConnectionParams getDatabase()

  Gets the value of the database property.

  Returns:
    possible object is `DBConnectionParams`

### setDatabase

    public void setDatabase(DBConnectionParams value)

  Sets the value of the database property.

  Parameters:
    `value` - allowed object is `DBConnectionParams`

### isSetDatabase

    public boolean isSetDatabase()

### getNumDigits

    public int getNumDigits()

  Gets the value of the numDigits property.

  Returns:
    possible object is `Integer`

### setNumDigits

    public void setNumDigits(int value)

  Sets the value of the numDigits property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetNumDigits

    public boolean isSetNumDigits()

### unsetNumDigits

    public void unsetNumDigits()

### getOutputFileName

    public String getOutputFileName()

  Gets the value of the outputFileName property.

  Returns:
    possible object is `String`

### setOutputFileName

    public void setOutputFileName(String value)

  Sets the value of the outputFileName property.

  Parameters:
    `value` - allowed object is `String`

### isSetOutputFileName

    public boolean isSetOutputFileName()

### getSheetName

    public String getSheetName()

  Gets the value of the sheetName property.

  Returns:
    possible object is `String`

### setSheetName

    public void setSheetName(String value)

  Sets the value of the sheetName property.

  Parameters:
    `value` - allowed object is `String`

### isSetSheetName

    public boolean isSetSheetName()

### getTableName

    public String getTableName()

  Gets the value of the tableName property.

  Returns:
    possible object is `String`

### setTableName

    public void setTableName(String value)

  Sets the value of the tableName property.

  Parameters:
    `value` - allowed object is `String`

### isSetTableName

    public boolean isSetTableName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.